1. DroidForums.net is currently undergoing a major software upgrade. If you are experiencing any problems logging in please: Contact Us

which java runtime for I need for development?

Discussion in 'Android App Developers' started by JayC, Oct 10, 2010.

  1. JayC
    Offline

    JayC New Member

    Joined:
    Apr 17, 2010
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    0
    I am getting back into coding after 10 years of managing. I want to build some apps for my moto-droid.

    I see so many options for Java that I am not certain which environment I need to get started. Is is Java SE? Java ME? something different?

    thanks in advance -


    Jay
  2. mwhartman
    Offline

    mwhartman Super Moderator/RS Premium Member

    Joined:
    Jan 15, 2010
    Messages:
    10,739
    Likes Received:
    12
    Trophy Points:
    38
    Location:
    South FL
    Welcome! I'm not sure so I'm moving your post to the development section where the "experts" can read and reply.

    Mike
  3. icaneatlikeacow
    Offline

    icaneatlikeacow New Member

    Joined:
    Oct 23, 2010
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    0
    Though android is developed using java, it actually doesn't need java jdk to compile the app and run the emulator.

    Just integrate the Android SDK with the Eclipse IDE and your good to go.
    Get it here: Android SDK | Android Developers